import java.util.Scanner;

public class Examen01
{
  static int aumento = 1;
  public static void main(String args[])
  {   boolean repetir = false;
    Scanner teclado = new Scanner(System.in);
    System.out.println("LED number display");
    while (repetir==false)
    {
      System.out.println("Numero a mostrar [0=Salir]");
      teclado.skip("[\n\r\t ]*");
      String numero = teclado.nextLine();
      if (numero.equals("0"))
      {
        repetir=true;
      }
      else 
      {
        System.out.println("Factor de aumento (x): ");
        aumento = teclado.nextInt();
        for (int i=0;i<numero.length();++i)
        {
          numero.charAt(i);
          if (numero.charAt(i)=='0')
          {
            for (int fila = 1; fila<=(5*aumento);++fila)
            {
              for (int columna = 1; columna<=(3*aumento);++columna)
              {
                if (fila<=(1*aumento)&& columna<=(3*aumento))
                  System.out.print("#");
                if (fila>(1*aumento) && fila<=((5*aumento)-aumento) && columna<=(1*aumento))
                  System.out.print("#");
                if (fila>(1*aumento) && fila<=((5*aumento)-aumento)&& columna>(1*aumento)&& columna<=(3*aumento-aumento))
                  System.out.print(" ");
                if (fila>(1*aumento) && fila<=((5*aumento)-aumento) && columna>(3*aumento-aumento))
                  System.out.print("#");
                if (fila>((5*aumento)-aumento) &&columna<=(3*aumento))
                  System.out.print("#");
              }//for columna
              System.out.println(); 
            }//for fila
          }//if numero 
          
          if (numero.charAt(i)=='1')
          {
            for (int fila = 1; fila<=(5*aumento);++fila)
            {
              for (int columna = 1; columna<=(1*aumento);++columna)
              {
                System.out.print("#");
              }//for columna
              System.out.println();
            }//for fila
          }//if numero 1
          if (numero.charAt(i)=='2')
          {
            for (int fila = 1; fila<=(5*aumento);++fila)
            {
              for (int columna = 1; columna<=(3*aumento);++columna)
              {
                if(fila<=(1*aumento)) //fila<=2
                {
                  System.out.print("#");
                }
             
                if(fila>((5*aumento)-aumento)) 
                {
                  System.out.print("#");
                }
                
              }//for columna
              System.out.println();
            }//for fila
          }//if numero 2
          System.out.println();
        }// for i (i=contador)
        
        
      }//if
    }//while
  }//main
  
}//class